<?php
// +-----------------------------------------------------------------+
// |                   PhreeBooks Open Source ERP                    |
// +-----------------------------------------------------------------+
// | Copyright (c) 2008, 2009, 2010 PhreeSoft, LLC                   |
// | http://www.PhreeSoft.com                                        |
// +-----------------------------------------------------------------+
// | This program is free software: you can redistribute it and/or   |
// | modify it under the terms of the GNU General Public License as  |
// | published by the Free Software Foundation, either version 3 of  |
// | the License, or any later version.                              |
// |                                                                 |
// | This program is distributed in the hope that it will be useful, |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of  |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the   |
// | GNU General Public License for more details.                    |
// |                                                                 |
// | The license that is bundled with this package is located in the |
// | file: /doc/manual/ch01-Introduction/license.html.               |
// | If not, see http://www.gnu.org/licenses/                        |
// +-----------------------------------------------------------------+
//  Path: /includes/header_navigation.php
//

?>
<!-- Menu bar #2. -->
<div id="navbar">
<ul class="nde-menu-system">
<?php
// The array $menu is built through the loading of each module in the file includes/application_top.php
// If it's not right here, check to see if the array was overwritten.
// Build the menus and display
ksort($pb_headings); // sorts the category headings with included extra modules
foreach ($pb_headings as $box) {
	if ($box['text'] == MENU_HEADING_COMPANY) continue;	// special case to skip company since it's generated at the end
	$sorted_menu = array();
	foreach ($menu as $item)  {
		if (isset($item['heading'])) {
			if ($item['heading'] == $box['text'] && $_SESSION['admin_security'][$item['security_id']] > 0) {
				$sorted_menu['text'][] = $item['text'];
				$sorted_menu['heading'][] = $item['heading'];
				$sorted_menu['rank'][] = $item['rank'];
				$sorted_menu['link'][] = $item['link'];
			}
		}
	}

	if (is_array($sorted_menu['rank'])) {
		$result = array_multisort($sorted_menu['rank'], SORT_ASC, SORT_NUMERIC, 
									$sorted_menu['text'], SORT_ASC, SORT_STRING, 
									$sorted_menu['link'], SORT_ASC, SORT_STRING);
		if ($result) {
			$heading = array('text' => $box['text'], 'link' => $box['link']);
			$contents = array();
			foreach ($sorted_menu['text'] as $key => $item) {
				$contents[] = array('text' => $item, 'link' => $sorted_menu['link'][$key]);
			}
			if (sizeof($contents) == 1 && $contents[0]['text'] == MENU_HEADING_REPORTS) {
			  // Skip the menu if there is only one menu item and it is reports
			} else {
			  echo html_draw_admin_box($heading, $contents);
			}
		} else {
			die('Error in multi-sort in header_navigation.php');
		}
	}
}

// display the company heading, dynamically generated by configuration table
if ($_SESSION['admin_security'][SECURITY_ID_CONFIGURATION] > 0) {
	$cfg_groups = '';
	foreach ($config_groups as $cfg_id => $cfg_group) {
	  $cfg_groups .= '<li><a href="' . html_href_link(FILENAME_DEFAULT, 'cat=setup&amp;module=config&amp;gID=' . $cfg_id, 'SSL') . '">' . $cfg_group['title'] . '</a></li>';
	}
	echo '<li class="submenu">' . chr(10);
	echo '<a target="_top" href="' . $pb_headings[99]['link'] . '">' . $pb_headings[99]['text'] . '</a>' . chr(10);
	echo '<ul>' . $cfg_groups . '</ul>' . chr(10);
	echo '</li>' . chr(10);
} // END display the company heading 
?>
</ul>
</div><div id="container"><div class="trans" id="transcontent">
