<?php
// +-----------------------------------------------------------------+
// |                   PhreeBooks Open Source ERP                    |
// +-----------------------------------------------------------------+
// | Copyright (c) 2008, 2009, 2010 PhreeSoft, LLC                   |
// | http://www.PhreeSoft.com                                        |
// +-----------------------------------------------------------------+
// | This program is free software: you can redistribute it and/or   |
// | modify it under the terms of the GNU General Public License as  |
// | published by the Free Software Foundation, either version 3 of  |
// | the License, or any later version.                              |
// |                                                                 |
// | This program is distributed in the hope that it will be useful, |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of  |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the   |
// | GNU General Public License for more details.                    |
// |                                                                 |
// | The license that is bundled with this package is located in the |
// | file: /doc/manual/ch01-Introduction/license.html.               |
// | If not, see http://www.gnu.org/licenses/                        |
// +-----------------------------------------------------------------+
//  Path: /modules/general/language/en_us/admin_tools.php
//

// ************** Release 2.0 additions ****************************//
define('GEN_DEFAULT_STORE','Default Store');
define('GEN_DEF_CASH_ACCT','Default Cash Account');
define('GEN_RESTRICT_STORE','Restrict Entries to this Store?');
define('GEN_DEF_AR_ACCT','Default Receivables Account');
define('GEN_DEF_AP_ACCT','Default Payables Account');
define('GEN_RESTRICT_PERIOD','Restrict Posts to Current Period?');
define('GEN_ADM_TOOLS_CLEAN_LOG','Backup and Clean Audit Logs');
define('GEN_ADM_TOOLS_CLEAN_LOG_DESC','This operation creates a downloaded backup of your audit log database file. This will help keep the database size down and reduce company backup file sizes. Backing up this log is recommended before cleaning out to preserve PhreeBooks transaction history. <br />INFORMATION: Cleaning out the audit log will leave the current periods data in the database table and remove all other records.');
define('GEN_ADM_TOOLS_CLEAN_LOG_BACKUP','Backup Audit Log');
define('GEN_ADM_TOOLS_CLEAN_LOG_CLEAN','Clean Out Audit Log');
define('GEN_ADM_TOOLS_BTN_CLEAN_CONFIRM','Are you sure you want to delete these audit log records?');
define('GEN_ADM_TOOLS_BTN_BACKUP','Backup Now!');
define('GEN_ADM_TOOLS_BTN_CLEAN','Clean Now!');
define('GEN_AUDIT_DB_DATA_BACKUP','Audit Log Database Table Backed Up');
define('GEN_AUDIT_DB_DATA_CLEAN','Audit Log Database Table Cleaned');

// ************** Release 1.8 additions ****************************//
define('HEADING_TITLE_CRASH_TITLE','PhreeBooks SQL Error Trace Information');
define('HEADING_TITLE_CRASH_INFORMATION','PhreeBooks has encountered an unexpected error. Click on the button below to download the debug trace file information to send to the PhreeBooks Development Team for troubleshooting assistance.');
define('HEADING_TITLE_CRASH_BUTTON','Download Debug Information');

// ************** Release 1.7 additions ****************************//
define('GEN_ADM_TOOLS_CUSTID','Next Customer ID');
define('GEN_ADM_TOOLS_VENDID','Next Vendor ID');

// Pre-release 1.6 language definitions
define('GEN_ADM_TOOLS_POST_SEQ_SUCCESS','Successfully posted the current order number changes.');
define('GEN_ADM_TOOLS_AUDIT_LOG_SEQ','Current Order Status - Update');
define('GEN_ADM_TOOLS_TITLE','Administrative Tools and Utilities');
define('GEN_ADM_TOOLS_SEQ_HEADING','Change Various Sequence Numbers');
define('GEN_ADM_TOOLS_SEQ_DESC','Changes to the sequencing can be made here.<br />NOTE 1: PhreeBooks does not allow duplicate sequences, be sure the new starting sequence will not conflict with any currently posted values.<br />Note 2: The next_deposit_num is generated by the system and uses the current date.<br />Note 3: The next_check_num can be set at the payment screen prior to posting a payment and will continue from the entered value.');
define('GEN_ADM_TOOLS_AR','Customer/Receivables');
define('GEN_ADM_TOOLS_AP','Vendors/Payables');
define('GEN_ADM_TOOLS_BNK','Banking');
define('GEN_ADM_TOOLS_OTHER','Other');
define('GEN_ADM_TOOLS_BTN_SAVE','Save Changes');

define('GEN_ADM_TOOLS_ARQ','Next Customer Quote Number');
define('GEN_ADM_TOOLS_APQ','Next Vendor Quote Number');
define('GEN_ADM_TOOLS_BNKD','Next Deposit Number');
define('GEN_ADM_TOOLS_ARSO','Next Sales Order Number');
define('GEN_ADM_TOOLS_APPO','Next Purchase Order Number');
define('GEN_ADM_TOOLS_BNKCK','Next Check Number');
define('GEN_ADM_TOOLS_ARINV','Next Sales/Invoice Number');
define('GEN_ADM_TOOLS_ARCM','Next Credit Memo Number');
define('GEN_ADM_TOOLS_APCM','Next Vendor Credit Memo Number');
define('GEN_ADM_TOOLS_SHIP','Next Shipment Number');

define('GEN_ADM_TOOLS_RE_POST_FAILED','No journals were selected to re-post, no action was taken.');
define('GEN_ADM_TOOLS_RE_POST_SUCCESS','The selected journals were re-posted successfully. The number of records re-posted was: %s');
define('GEN_ADM_TOOLS_AUDIT_LOG_RE_POST','Re-post Journals: ');
define('GEN_ADM_TOOLS_REPOST_HEADING','Re-post Journal Entries');
define('GEN_ADM_TOOLS_REPOST_DESC','<b>BE SURE TO BACKUP YOUR DATA BEFORE YOU RE-POST ANY JOURNALS!</b><br />Note 1: Re-posting journals can take some time, you may want to limit the re-posts but entering a smaller date range or a limited number of journals.');
define('GEN_ADM_TOOLS_REPOST_CONFIRM','Are you sure you want to re-post the selected journals?\n\nYOU SHOULD BACKUP YOUR COMPANY BEFORE DOING THIS!');
define('GEN_ADM_TOOLS_BNK_ETC','Banking/Inventory/Other');
define('GEN_ADM_TOOLS_DATE_RANGE','Re-post Date Range');
define('GEN_ADM_TOOLS_START_DATE','Start Date');
define('GEN_ADM_TOOLS_END_DATE','End Date');

define('GEN_ADM_TOOLS_BTN_REPOST','Re-post Journals');
define('GEN_ADM_TOOLS_J02','General Journal (2)');
define('GEN_ADM_TOOLS_J03','Purchase Quote Journal (3)');
define('GEN_ADM_TOOLS_J04','Purchase Order Journal (4)');
define('GEN_ADM_TOOLS_J06','Puchases Journal (6)');
define('GEN_ADM_TOOLS_J07','Vendor CM Journal (7)');
define('GEN_ADM_TOOLS_J08','Payroll Journal (8)');
define('GEN_ADM_TOOLS_J09','Sales Quote Journal (9)');
define('GEN_ADM_TOOLS_J10','Sales Order Journal (10)');
define('GEN_ADM_TOOLS_J12','Sales/Invoice Journal (12)');
define('GEN_ADM_TOOLS_J13','Customer CM Journal (13)');
define('GEN_ADM_TOOLS_J14','Inv Assy Journal (14)');
define('GEN_ADM_TOOLS_J16','Inv Adjustment Journal (16)');
define('GEN_ADM_TOOLS_J18','Cash Receipts Journal (18)');
define('GEN_ADM_TOOLS_J19','POS Journal (19)');
define('GEN_ADM_TOOLS_J20','Cash Dist Journal (20)');
define('GEN_ADM_TOOLS_J21','POP Journal (21)');

define('GEN_ADM_TOOLS_REPAIR_CHART_HISTORY','Validate and Repair General Ledger Account Balances');
define('GEN_ADM_TOOLS_REPAIR_CHART_DESC','This operation validates and repairs the chart of account balances. If the trial balance or balance sheet are not in balance, this is where to start. First validate the balances to see if there is an error and repair if necessary.');
define('GEN_ADM_TOOLS_REPAIR_TEST','Test Chart Balances');
define('GEN_ADM_TOOLS_REPAIR_FIX','Fix Chart Balance Errors');
define('GEN_ADM_TOOLS_BTN_TEST','Test GL Balances');
define('GEN_ADM_TOOLS_BTN_REPAIR','Repair GL Balance Errors');
define('GEN_ADM_TOOLS_REPAIR_CONFIRM','Are you sure you want to repair the general ledger balances?\n\nYOU SHOULD PRINT FINANCIAL SATEMENTS AND BACKUP YOUR COMPANY BEFORE DOING THIS!');
define('GEN_ADM_TOOLS_REPAIR_ERROR_MSG','There is a balance error in period %s account %s values compared: %s with: %s');
define('GEN_ADM_TOOLS_REPAIR_SUCCESS','You\'re chart of account balances are OK.');
define('GEN_ADM_TOOLS_REPAIR_ERROR','You should repair the chart balance. NOTE: BACKUP BEFORE YOU REPAIR THE CHART OF ACCOUNTS BALANCES!');
define('GEN_ADM_TOOLS_REPAIR_COMPLETE','The chart balances have been repaired.');
define('GEN_ADM_TOOLS_REPAIR_LOG_ENTRY','Repaired GL balances');

// Encryption defines
define('GEN_ADM_TOOLS_SET_ENCRYPTION_KEY','Enter Encryption Key');
define('BOX_HEADING_ENCRYPTION','Data Encryption Services');
define('GEN_ENCRYPTION_GEN_INFO','Encryption services depend on a key used to encrypt data in the database. DO NOT LOSE THE KEY, otherwise data can not be decrypted!');
define('GEN_ENCRYPTION_COMP_TYPE','Enter the Encryption key used to store secure data.');
define('GEN_ENCRYPTION_KEY','Encryption key ');
define('GEN_ENCRYPTION_KEY_CONFIRM','Re-enter key ');
define('ERROR_WRONG_ENCRYPT_KEY_MATCH','The encryption keys do not match!');
define('ERROR_WRONG_ENCRYPT_KEY','You entered an encryption key but it did not match the stored value.');
define('GEN_ENCRYPTION_KEY_SET','The encryption key has been set.');
define('GEN_ENCRYPTION_KEY_CHANGED','The encryption key has been changed.');

define('GEN_ADM_TOOLS_SET_ENCRYPTION_PW','Create/Change Encryption Key');
define('GEN_ADM_TOOLS_SET_ENCRYPTION_PW_DESC','Set the encryption key to use if \'Encryption Enabled\' is turned on. If setting for the first time, the old encryption key is blank.');
define('GEN_ADM_TOOLS_ENCRYPT_OLD_PW','Old Encryption Key');
define('GEN_ADM_TOOLS_ENCRYPT_PW','New Encryption Key');
define('GEN_ADM_TOOLS_ENCRYPT_PW_CONFIRM','Re-enter New Encryption Key');
define('ERROR_OLD_ENCRYPT_NOT_CORRECT','The current encrypted key does not match the stored value!');

// backup defines
define('BOX_HEADING_RESTORE','Company Restore');
define('GEN_BACKUP_ICON_TITLE','Start Backup');
define('GEN_BACKUP_GEN_INFO','Please select the backup compression type and options below.');
define('GEN_BACKUP_COMP_TYPE','Compression Type');
define('GEN_COMP_BZ2',' bz2 (Linux)');
define('GEN_COMP_ZIP',' Zip');
define('GEN_COMP_NONE','None (Database Only)');
define('GEN_BACKUP_DB_ONLY',' Database Only');
define('GEN_BACKUP_FULL',' Database and Company Data Files');
define('GEN_BACKUP_SAVE_LOCAL',' Save a local copy in webserver (my_files/backups) directory');
define('GEN_BACKUP_WARNING','Warning! This operation will delete and re-write the database. Are you sure you want to continue?');
define('GEN_BACKUP_NO_ZIP_CLASS','The zip class cannot be fond. PHP needs the zip library installed to back up with zip compression.');
define('GEN_BACKUP_FILE_ERROR','The zip file cannot be created. Check permissions for the directory: ');
define('GEN_BACKUP_MOVE_ERROR','Cannot open file (%s) for writing check your permissions.');

?>